libzypp 17.37.10

StrMatcher.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/base/Exception.h>`

Go to the source code of this file.

## Classes
class | zypp::Match
| String matching option flags as used e.g. More...
class | zypp::MatchException
| Exceptions thrown from attribute matching. More...
class | zypp::MatchUnknownModeException
| Unknown match mode. More...
class | zypp::MatchInvalidRegexException
| Invalid regular expression (failed ::regcomp). More...
class | zypp::StrMatcher
| String matching (STRING|SUBSTRING|GLOB|REGEX). More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
Match | zypp::operator| (Match::Mode lhs, Match::Mode rhs)
Match | zypp::operator- (Match::Mode lhs, Match::Mode rhs)